/// <reference types="react" />
import type { CalculatedColumn, SortInfo, ISelectorEvent } from './types';
import type { HeaderRowProps } from './HeaderRow';
declare type SharedHeaderRowProps<R, SR> = Pick<HeaderRowProps<R, SR>, 'onSort' | 'allRowsSelected'>;
export interface HeaderCellProps<R, SR> extends SharedHeaderRowProps<R, SR> {
    column: CalculatedColumn<R, SR>;
    columnIdx: number;
    isCellSelected: boolean;
    sortInfo: SortInfo;
    enableSortRow: boolean;
    cellFilters?: Set<any>;
    filters?: Set<any>;
    onGridSelect: (data: ISelectorEvent) => void;
    onResize: (column: CalculatedColumn<R, SR>, width: number) => void;
    onCellFiltersChange: (columnKey: string, newFilters?: Set<any>) => void;
    onColumnReorder?: (sourceColumnKey: string, targetColumnKey: string) => void;
}
export default function HeaderCell<R, SR>({ column, columnIdx, onResize, allRowsSelected, isCellSelected, cellFilters, filters, onGridSelect, onCellFiltersChange, onColumnReorder, sortInfo, enableSortRow, onSort }: HeaderCellProps<R, SR>): import("react").JSX.Element;
export {};
//# sourceMappingURL=HeaderCell.d.ts.map